Bug 67789 - Web Inspector: extract RawSourceCode source mapping logic to helper classes.
Summary: Web Inspector: extract RawSourceCode source mapping logic to helper classes.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Podivilov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-08 10:52 PDT by Pavel Podivilov
Modified: 2011-09-20 02:28 PDT (History)
10 users (show)

See Also:


Attachments
Patch (7.71 KB, patch)
2011-09-08 10:54 PDT, Pavel Podivilov
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Podivilov 2011-09-08 10:52:21 PDT
Web Inspector: extract RawSourceCode source mapping logic to helper classes.
Comment 1 Pavel Podivilov 2011-09-08 10:54:15 PDT
Created attachment 106762 [details]
Patch
Comment 2 Pavel Feldman 2011-09-19 00:40:09 PDT
Comment on attachment 106762 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=106762&action=review

> Source/WebCore/inspector/front-end/SourceFile.js:225
> +WebInspector.RawSourceCode.FormattedSourceMapping = function(rawSourceCode, uiSourceCode, mapping)

Why does formatted source mapping live under the raw source code? I was expecting formatting to be a part of the UI* hierarchy.
Comment 3 Pavel Podivilov 2011-09-19 03:40:46 PDT
(In reply to comment #2)
> (From update of attachment 106762 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=106762&action=review
> 
> > Source/WebCore/inspector/front-end/SourceFile.js:225
> > +WebInspector.RawSourceCode.FormattedSourceMapping = function(rawSourceCode, uiSourceCode, mapping)
> 
> Why does formatted source mapping live under the raw source code? I was expecting formatting to be a part of the UI* hierarchy.

This is not a new code. It's a part of existing RawSourceCode implementation that was moved to a separate class to remove duplicated state checks (e.g. "if formatted" and "if source map installed").
Comment 4 Pavel Podivilov 2011-09-19 03:53:20 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > (From update of attachment 106762 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=106762&action=review
> > 
> > > Source/WebCore/inspector/front-end/SourceFile.js:225
> > > +WebInspector.RawSourceCode.FormattedSourceMapping = function(rawSourceCode, uiSourceCode, mapping)
> > 
> > Why does formatted source mapping live under the raw source code? I was expecting formatting to be a part of the UI* hierarchy.

Also, source mapping is a part of RawSourceCode interface, a link to UISourceCode and ui locations.
Comment 5 Pavel Podivilov 2011-09-20 02:28:09 PDT
Committed r95522: <http://trac.webkit.org/changeset/95522>